be.fgov.ehealth.certra.core.v2

## Class RevocationContractType

- java.lang.Object
- - be.fgov.ehealth.certra.core.v2.RevocationContractType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:40:04+01:00",
                 comments="JAXB RI v2.3.7")
      public class RevocationContractType
      extends Object
      implements Serializable

  Digital contract that describes the terms and conditions that apply when revoking an existing eHealth certificate. The contract also contains the details of the person that will be signing it with his eID.

  Java class for RevocationContractType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RevocationContractType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="DN" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Signer" type="{urn:be:fgov:ehealth:commons:core:v2}ActorType"/>
               <element name="RevocationReason" type="{urn:be:fgov:ehealth:certra:core:v2}RevocationReasonType"/>
               <element name="Text" type="{urn:be:fgov:ehealth:certra:core:v2}TextType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevocationContractType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDN()` Gets the value of the dn property.
    `RevocationReasonType` | `getRevocationReason()` Gets the value of the revocationReason property.
    `ActorType` | `getSigner()` Gets the value of the signer property.
    `TextType` | `getText()` Gets the value of the text property.
    `void` | `setDN(String value)` Sets the value of the dn property.
    `void` | `setRevocationReason(RevocationReasonType value)` Sets the value of the revocationReason property.
    `void` | `setSigner(ActorType value)` Sets the value of the signer property.
    `void` | `setText(TextType value)` Sets the value of the text property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevocationContractType

          public RevocationContractType()

  - ### Method Detail

    - #### getDN

          public String getDN()

      Gets the value of the dn property.
      Returns:
        possible object is `String`

    - #### setDN

          public void setDN(String value)

      Sets the value of the dn property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSigner

          public ActorType getSigner()

      Gets the value of the signer property.
      Returns:
        possible object is `ActorType`

    - #### setSigner

          public void setSigner(ActorType value)

      Sets the value of the signer property.
      Parameters:
        `value` - allowed object is `ActorType`

    - #### getRevocationReason

          public RevocationReasonType getRevocationReason()

      Gets the value of the revocationReason property.
      Returns:
        possible object is `RevocationReasonType`

    - #### setRevocationReason

          public void setRevocationReason(RevocationReasonType value)

      Sets the value of the revocationReason property.
      Parameters:
        `value` - allowed object is `RevocationReasonType`

    - #### getText

          public TextType getText()

      Gets the value of the text property.
      Returns:
        possible object is `TextType`

    - #### setText

          public void setText(TextType value)

      Sets the value of the text property.
      Parameters:
        `value` - allowed object is `TextType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.